%global dlrn_nvr glance_store-1.0.2.dev5-2.20230509135027.79e043a
%global dlrn 1
%define upstream_version 1.0.2.dev5
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global upstream_name glance_store

Name:           python-glance-store
Version: 1.0.2
Release: 2.20230509135027.79e043a%{?dist}
Summary:        OpenStack Image Service Store Library

License:        ASL 2.0
URL:            https://github.com/openstack/%{upstream_name}
Source0: glance_store-1.0.2.dev5-2.20230509135027.79e043a.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=79e043af2a86f4547f8e7bad6be90ff4542e005e
Patch0001: 0001-Ramp-up-rbd-resize-to-avoid-excessive-calls.patch
Patch0002: 0002-Handle-sparse-images-in-glance_store.patch
Patch0003: 0003-Update-hacking-for-Python3.patch
Patch0004: 0004-Refactor-methods-in-cinder-store.patch
Patch0005: 0005-Don-t-allow-image-creation-with-encrypted-nfs-volume.patch
Patch0006: 0006-Pass-multipath-config-while-creating-connector-objec.patch
Patch0007: 0007-Add-cinder-s-new-attachment-support.patch
Patch0008: 0008-Glance-cinder-nfs-Block-creating-qcow2-volumes.patch
Patch0009: 0009-Add-volume-multiattach-handling.patch
Patch0010: 0010-Pass-valid-IP-address-to-os-brick.patch
Patch0011: 0011-Fix-Add-cinder-s-new-attachment-support-backport.patch
Patch0012: 0012-RBD-Clone-v2-Image-is-unusable-if-deletion-fails.patch
Patch0013: 0013-downstream-only-Fix-Regression-introduced-by-refacto.patch
Patch0014: 0014-Cinder-store-Wait-for-device-resize.patch
Patch0015: 0015-Correct-retry-interval-during-attach-volume.patch
Patch0016: 0016-Add-force-to-os-brick-disconnect.patch

BuildArch:      noarch
BuildRequires:  git

%description
OpenStack image service store library


%package -n python%{pyver}-glance-store
Summary:    %{summary}
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr
Requires:       python%{pyver}-eventlet
Requires:       python%{pyver}-cinderclient >= 2.0.1
Requires:       python%{pyver}-keystoneauth1 >= 3.4.0
Requires:       python%{pyver}-keystoneclient >= 1:3.8.0
Requires:       python%{pyver}-requests
Requires:       python%{pyver}-six >= 1.10.0
Requires:       python%{pyver}-stevedore >= 1.20.0
Requires:       python%{pyver}-oslo-concurrency >= 3.26.0
Requires:       python%{pyver}-oslo-config >= 2:5.2.0
Requires:       python%{pyver}-oslo-i18n >= 3.15.3
Requires:       python%{pyver}-oslo-rootwrap
Requires:       python%{pyver}-oslo-serialization >= 2.18.0
Requires:       python%{pyver}-oslo-utils >= 3.33.0
Requires:       python%{pyver}-os-brick >= 1.11.0
Requires:       python%{pyver}-oslo-privsep >= 1.23.0
# Handle python2 exception
%if %{pyver} == 2
Requires:       python-enum34
Requires:       python-jsonschema
%else
Requires:       python%{pyver}-jsonschema
%endif
%{?python_provide:%python_provide python%{pyver}-glance-store}

%description -n python%{pyver}-glance-store
%{description}

%prep
%autosetup -S git -n %{upstream_name}-%{upstream_version}

%build
%{pyver_build}

%install
%{pyver_install}

# Create a versioned binary for backwards compatibility until everything is pure py3
ln -s ./glance-rootwrap %{buildroot}%{_bindir}/glance-rootwrap-%{pyver}

install -p -D -m 644 etc/glance/rootwrap.d/glance_cinder_store.filters %{buildroot}%{_datarootdir}/%{upstream_name}/glance_cinder_store.filters

%files -n python%{pyver}-glance-store
%doc AUTHORS ChangeLog
%license LICENSE
%{_bindir}/glance-rootwrap
%{_bindir}/glance-rootwrap-%{pyver}
%{_datarootdir}/%{upstream_name}
%{_datarootdir}/%{upstream_name}/*.filters
%{pyver_sitelib}/%{upstream_name}
%{pyver_sitelib}/%{upstream_name}-*.egg-info

%changelog
* Tue May 09 2023 OSP Prod Chain <dev-null@redhat.com> 1.0.2-2.20230509135027.79e043a
- Add force to os-brick disconnect (rhbz#2188061)
- [downstream-only]Fix: Regression introduced by refactoring change (rhbz#2049130)

* Thu Mar 09 2023 OSP Prod Chain <dev-null@redhat.com> 1.0.2-2.20230309124926.79e043a
- Correct retry interval during attach volume (rhbz#1886013)
- [downstream-only]Fix: Regression introduced by refactoring change (rhbz#2049130)

* Sat Feb 19 2022 OSP Prod Chain <dev-null@redhat.com> 1.0.2-2.20220219074836.79e043a
- Cinder store: Wait for device resize (rhbz#2053830)
- [downstream-only]Fix: Regression introduced by refactoring change (rhbz#2049130)

* Mon Feb 07 2022 OSP Prod Chain <dev-null@redhat.com> 1.0.2-2.20220207195258.79e043a
- [downstream-only]Fix: Regression introduced by refactoring change (rhbz#2049130)

* Mon Jan 10 2022 OSP Prod Chain <dev-null@redhat.com> 1.0.2-2.20220111043147.79e043a
- [RBD] Clone v2: Image is unusable if deletion fails (rhbz#2031740)

* Tue Dec 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.2-2.20211228134901.79e043a
- Fix: Add cinder's new attachment support backport (rhbz#2004316)

* Fri Dec 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.2-2.20211224144838.79e043a
- Pass valid IP address to os-brick (rhbz#2035461)

* Fri Dec 17 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.2-2.20211217204852.79e043a
- Add volume multiattach handling (rhbz#2004316)

* Fri Dec 17 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.2-2.20211217154855.79e043a
- Glance cinder nfs: Block creating qcow2 volumes (rhbz#2004316)

* Thu Dec 16 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.2-2.20211216195011.79e043a
- Add cinder's new attachment support (rhbz#2004316)

* Thu Dec 16 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.2-2.20211216155050.79e043a
- Pass multipath config while creating connector object (rhbz#1995296)

* Wed Dec 15 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.2-2.20211216024846.79e043a
- Don't allow image creation with encrypted nfs volumes (rhbz#1995302)

* Wed Dec 15 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.2-2.20211215205007.79e043a
- Refactor methods in cinder store (rhbz#1995302)

* Wed Dec 15 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.2-2.20211215144937.79e043a
- Update hacking for Python3

* Wed Aug 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.2-2.20210818124810.79e043a
- Update patches
- zuul: glance_store-src-ceph-tempest replaces a legacy job
- Add lock per share for cinder nfs mount/umount
- Add config for cinder mounting needs
- Fix: API returns 503 if one of the store is mis-configured
- Image upload fails if cinder multipath is enabled

* Wed Aug 11 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.1-2.20210811114814.9383fde
- zuul: glance_store-src-ceph-tempest replaces a legacy job
- Add lock per share for cinder nfs mount/umount
- Add config for cinder mounting needs
- Fix: API returns 503 if one of the store is mis-configured
- Image upload fails if cinder multipath is enabled
- zuul: glance_store-src-ceph-tempest replaces a legacy job
- Add lock per share for cinder nfs mount/umount
- Add config for cinder mounting needs
- Fix: API returns 503 if one of the store is mis-configured
- Image upload fails if cinder multipath is enabled

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.2-2.20210528102039.79e043a
- Update patches

* Thu Feb 25 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches
- zuul: glance_store-src-ceph-tempest replaces a legacy job

* Fri Feb 05 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Handle sparse images in glance_store (rhbz#1647041)

* Thu Feb 04 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Ramp up rbd resize to avoid excessive calls (rhbz#1690726)

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches

* Tue Sep 01 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches
- Add lock per share for cinder nfs mount/umount
- Add config for cinder mounting needs

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Add lock per share for cinder nfs mount/umount
- Add config for cinder mounting needs
- Add lock per share for cinder nfs mount/umount
- Add config for cinder mounting needs

* Tue Aug 25 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches
- Add lock per share for cinder nfs mount/umount
- Add config for cinder mounting needs

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches
- Fix: API returns 503 if one of the store is mis-configured

* Fri May 08 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches
- Image upload fails if cinder multipath is enabled

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches

* Mon Sep 30 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches

* Mon Sep 30 2019 RDO <dev@lists.rdoproject.org> 1.0.1-1
- Update to 1.0.1

* Mon Sep 23 2019 RDO <dev@lists.rdoproject.org> 1.0.0-1
- Update to 1.0.0


